# latex-syntax

This package provides rich LaTeX _syntax highlighting_ for VSCode. It provides
_only_ syntax highlighting: no annoying snippets etc. that only serve to mess
up your work. It is recommended to be combined with [texlab][]. The latter
provides a language intelligence/auto-completion and build system interface.
The present package complements texlab with richer syntax highlighting. The
grammar is derived from LaTeX-Workshop, but has improvements including

  a) Highlighting of `todonotes` (see below).

  b) Footnote highlighting.

  c) Highlighting of `comment` environments as comment blocks.

### How to enable

This package does not override the standard “LaTeX” grammar. It provides the
“LaTeX+” grammar. Please select that as the default grammar for `.tex` files.

### Regarding `todonotes` and `footnote` support

To enable syntax highlighting for `\todo` and `\footnote`, add the following
(with possibly customised colours) to your user `settings.json`
(Cmd+Shift+P, “Open Settings (JSON)”):

```json
"editor.tokenColorCustomizations": {
    "textMateRules": [
        {
            "scope": "entity.name.todo.latex",
            "settings": {
                "foreground": "#d17000",
                "fontStyle": "italic",
            }
        },
        {
            "scope": "support.function.todo.latex",
            "settings": {
                "foreground": "#d17000",
                "fontStyle": "italic",
            }
        },
        {
            "scope": "entity.name.footnote.latex",
            "settings": {
                "foreground": "#e28000",
                "fontStyle": "italic",
            }
        },
        {
            "scope": "support.function.footnote.latex",
            "settings": {
                "foreground": "#e28000",
                "fontStyle": "italic",
            }
        }
    ],
},
```

  [texlab]: https://marketplace.visualstudio.com/items?itemName=efoerster.texlab
